/* login.css */
body {
    font-family: 'Arial', sans-serif;
    background: linear-gradient(125deg, #2c041c, #301f29);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
}

/* b292a2
866f7d
ab7696
663046
2c041c */
.container {
    background-color: #00000032;
    border-radius: 12px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
    padding: 40px;
    width: 400px;
    text-align: center;
    position: relative;
    overflow: hidden;
}

.container::before {
    content: '';
    position: absolute;
    top: -50px;
    left: -50px;
    width: 200px;
    height: 200px;
    background: rgba(162, 102, 136, 0.15);
    border-radius: 50%;
    z-index: -1;
}

.container::after {
    content: '';
    position: absolute;
    bottom: -50px;
    right: -50px;
    width: 200px;
    height: 200px;
    background: rgba(111, 20, 84, 0.15);
    border-radius: 50%;
    z-index: -1;
}

h2 {
    color: #ffffff;
    margin-bottom: 25px;
    font-size: 24px;
    position: relative;
}

h2::after {
    content: '';
    display: block;
    width: 60px;
    height: 4px;
    background: #866f7d;
    margin: 8px auto 0;
    border-radius: 2px;
}

form {
    display: flex;
    flex-direction: column;
    gap: 19px;
}

label {
    font-weight: bold;
    text-align: left;
    color: #ffffff;
    margin-bottom: 5px;
}

input[type="text"],
input[type="password"],
select {
    width: 100%;
    padding: 12px;
    border: 2px solid #dfb2d5;
    border-radius: 8px;
    box-sizing: border-box;
    transition: border-color 0.3s ease;
}

input[type="text"]:focus,
input[type="password"]:focus,
select:focus {
    border-color: #790065;
    outline: none;
}

input[type="submit"] {
    background-color: #790059;
    color: white;
    border: none;
    border-radius: 8px;
    padding: 12px;
    cursor: pointer;
    font-size: 18px;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

input[type="submit"]:hover {
    background-color: #4d0037;
    transform: translateY(-2px);
}

.registration-message,
.error-message {
    font-weight: bold;
    margin-top: 15px;
}

.registration-message {
    color: #00796B;
}

.error-message {
    color: #D32F2F;
}
